unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Memo1: TMemo;
    Memo2: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Button2: TButton;
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
    procedure Log(const value : string);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  VSoft.RegularExpression;


procedure TForm1.Button2Click(Sender: TObject);
var
  regx : IRegularExpression;
  m : IMatch;
  i: Integer;
  g : IGroup;
begin
  regx := RegEx.NewRegularExpression(Edit1.Text,[MultiLine]);
  m := regx.Match(Memo1.Text);

  while m.Success do
  begin
    Log('Match : ' + m.Value);
    if m.Groups.Count > 0 then
    begin
      for i := 0 to m.Groups.Count -1 do
      begin
        g := m.Groups.Item[i];
        Log('   Group : ' + g.Value);
      end;
    end;
    m := m.NextMatch;
  end;

end;


procedure TForm1.Log(const value: string);
begin
  Memo2.Lines.Add(value);
end;


end.
